From caf2ba22cbdd5b263d425f2bc7782c64fb1a341d Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Sat, 15 Nov 2025 15:09:05 +0000
Subject: [PATCH] linux-firmware: upgrade 20251021 -> 20251111

---
 ...20251021.bb => linux-firmware_20251111.bb} | 644 +++++++++++++++++-
 1 file changed, 642 insertions(+), 2 deletions(-)
 rename meta/recipes-kernel/linux-firmware/{linux-firmware_20251021.bb => linux-firmware_20251111.bb} (84%)

diff --git a/meta/recipes-kernel/linux-firmware/linux-firmware_20251021.bb b/meta/recipes-kernel/linux-firmware/linux-firmware_20251111.bb
similarity index 84%
rename from meta/recipes-kernel/linux-firmware/linux-firmware_20251021.bb
rename to meta/recipes-kernel/linux-firmware/linux-firmware_20251111.bb
index 66d3be90e7..98a292bc50 100644
--- a/meta/recipes-kernel/linux-firmware/linux-firmware_20251021.bb
+++ b/meta/recipes-kernel/linux-firmware/linux-firmware_20251111.bb
@@ -1,3 +1,643 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- WHENCE
+# +++ WHENCE
+# @@ -3438,7 +3438,9 @@
+#  File: rtw89/rtw8852a_fw.bin
+#  File: rtw89/rtw8852b_fw.bin
+#  File: rtw89/rtw8852b_fw-1.bin
+# +File: rtw89/rtw8852b_fw-2.bin
+#  File: rtw89/rtw8852bt_fw.bin
+# +File: rtw89/rtw8852bt_fw-1.bin
+#  File: rtw89/rtw8852c_fw.bin
+#  File: rtw89/rtw8852c_fw-1.bin
+#  File: rtw89/rtw8852c_fw-2.bin
+# @@ -3609,6 +3611,9 @@
+#  
+#  File: rtl_nic/rtl8125d-2.fw
+#  Version: 0.0.4
+# +
+# +File: rtl_nic/rtl8125k-1.fw
+# +Version: 0.0.1
+#  
+#  File: rtl_nic/rtl8126a-2.fw
+#  Version: 0.0.2
+# @@ -4223,7 +4228,7 @@
+#  File: intel/ibt-0093-4150.ddc
+#  File: intel/ibt-0093-1050.sfi
+#  File: intel/ibt-0093-1050.ddc
+# -Version: BT_BlazarU_S_REL91726_23.160.25341.91726
+# +Version: BT_BlazarU_S_REL93327_23.170.25375.93327
+#  
+#  File: intel/ibt-0180-0041.sfi
+#  File: intel/ibt-0180-0041.ddc
+# @@ -4247,7 +4252,7 @@
+#  File: intel/ibt-0190-0291-pci.sfi
+#  File: intel/ibt-0190-0291-usb.ddc
+#  File: intel/ibt-0190-0291-usb.sfi
+# -Version: BT_BlazarI_S_REL99289_23.160.25341.99289
+# +Version: BT_BlazarI_S_REL100876_23.170.25375.100876
+#  
+#  Licence: Redistributable. See LICENCE.ibt_firmware for details
+#  
+# @@ -4267,6 +4272,8 @@
+#  File: rtl_bt/rtl8761b_config.bin
+#  File: rtl_bt/rtl8761bu_fw.bin
+#  File: rtl_bt/rtl8761bu_config.bin
+# +File: rtl_bt/rtl8761cu_fw.bin
+# +File: rtl_bt/rtl8761cu_config.bin
+#  File: rtl_bt/rtl8812ae_fw.bin
+#  File: rtl_bt/rtl8821a_fw.bin
+#  Link: rtl_bt/rtl8821a_config.bin -> rtl8821c_config.bin
+# @@ -4373,9 +4380,9 @@
+#  RawFile: amd-ucode/microcode_amd_fam17h.bin
+#  Version: 2024-11-21
+#  RawFile: amd-ucode/microcode_amd_fam19h.bin
+# -Version: 2025-07-29
+# +Version: 2025-10-27
+#  RawFile: amd-ucode/microcode_amd_fam1ah.bin
+# -Version: 2025-07-29
+# +Version: 2025-10-30
+#  File: amd-ucode/README
+#  
+#  License: Redistributable. See LICENSE.amd-ucode for details
+# @@ -5293,7 +5300,7 @@
+#  Version: GuC API/APB ver 70.4.1 for DG2
+#  
+#  File: i915/dg2_guc_70.bin
+# -Version: GuC API/APB ver 70.49.4 for DG2
+# +Version: GuC API/APB ver 70.53.0 for DG2
+#  
+#  File: i915/dg2_huc_gsc.bin
+#  Version: HuC API/APB ver 7.10.16 for DG2
+# @@ -5314,7 +5321,7 @@
+#  Version: DMC API/APB ver 2 release 23 for Meteorlake
+#  
+#  File: i915/mtl_guc_70.bin
+# -Version: GuC API/APB ver 70.49.4 for Meteorlake
+# +Version: GuC API/APB ver 70.53.0 for Meteorlake
+#  
+#  File: i915/mtl_huc_gsc.bin
+#  Version: HuC API/APB ver 8.5.4 for Meteorlake
+# @@ -5343,13 +5350,13 @@
+#  Version: GSC API/APB v1.0, release 104.0.5.1429, SVN 1 for Lunarlake
+#  
+#  File: xe/lnl_guc_70.bin
+# -Version: GuC API/APB ver 70.49.4 for Lunarlake
+# +Version: GuC API/APB ver 70.53.0 for Lunarlake
+#  
+#  File: xe/lnl_huc.bin
+#  Version: HuC API/APB ver 9.4.13 for Lunarlake
+#  
+#  File: xe/bmg_guc_70.bin
+# -Version: GuC API/APB ver 70.49.4 for Battlemage
+# +Version: GuC API/APB ver 70.53.0 for Battlemage
+#  
+#  File: xe/bmg_huc.bin
+#  Version: HuC API/APB ver 8.2.10 for Battlemage
+# @@ -5358,7 +5365,7 @@
+#  Version: fan_control ver 203.0.0.0 for Battlemage
+#  
+#  File: xe/ptl_guc_70.bin
+# -Version: GuC API/APB ver 70.49.4 for Pantherlake
+# +Version: GuC API/APB ver 70.53.0 for Pantherlake
+#  
+#  File: xe/ptl_huc.bin
+#  Version: HuC API/APB ver 10.3.3 for Pantherlake
+# @@ -6110,9 +6117,9 @@
+#  Driver: mt7920 - MediaTek MT7920 Wireless MACs
+#  
+#  File: mediatek/WIFI_MT7961_patch_mcu_1a_2_hdr.bin
+# -Version: 20250210151004a
+# +Version: 20251020150843a
+#  File: mediatek/WIFI_RAM_CODE_MT7961_1a.bin
+# -Version: 20250210150855
+# +Version: 20251020151401
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6121,7 +6128,7 @@
+#  Driver: mt7920 - MediaTek MT7920 bluetooth chipset
+#  
+#  File: mediatek/BT_RAM_CODE_MT7961_1a_2_hdr.bin
+# -Version: 20250210151502
+# +Version: 20251020151255
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6150,9 +6157,9 @@
+#  Driver: mt7922 - MediaTek MT7922 Wireless MACs
+#  
+#  File: mediatek/WIFI_MT7922_patch_mcu_1_1_hdr.bin
+# -Version: 20250523103150a
+# +Version: 20251020143135a
+#  File: mediatek/WIFI_RAM_CODE_MT7922_1.bin
+# -Version: 20250523103106
+# +Version: 20251020143009
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6161,7 +6168,7 @@
+#  Driver: mt7922 - MediaTek MT7922 bluetooth chipset
+#  
+#  File: mediatek/BT_RAM_CODE_MT7922_1_1_hdr.bin
+# -Version: 20250903123504
+# +Version: 20251020143443
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6170,9 +6177,9 @@
+#  Driver: mt7925 - MediaTek MT7925 Wireless MACs
+#  
+#  File: mediatek/mt7925/WIFI_MT7925_PATCH_MCU_1_1_hdr.bin
+# -Version: 20250825215832a
+# +Version: 20251015212927a
+#  File: mediatek/mt7925/WIFI_RAM_CODE_MT7925_1_1.bin
+# -Version: 20250825215728
+# +Version: 20251015212814
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6181,16 +6188,20 @@
+#  Driver: mt7925 - MediaTek MT7925 bluetooth chipset
+#  
+#  File: mediatek/mt7925/BT_RAM_CODE_MT7925_1_1_hdr.bin
+# -Version: 20250825220109
+# +Version: 20251015213201
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+#  --------------------------------------------------------------------------
+#  
+# -Driver: mt7988 - MediaTek MT7988 Internal 2.5G Ethernet Phy
+# +Driver: mtk-2p5ge - MediaTek MT798x Internal 2.5G Ethernet Phy
+#  
+#  File: mediatek/mt7988/i2p5ge-phy-pmb.bin
+# -Version: 20230728
+# +Version: 20241030
+# +File: mediatek/mt7987/i2p5ge-phy-DSPBitTb.bin
+# +Version: 20250822
+# +File: mediatek/mt7987/i2p5ge-phy-pmb.bin
+# +Version: 20250822
+#  
+#  Licence: Redistributable. See LICENCE.mediatek for details.
+#  
+# @@ -6583,6 +6594,13 @@
+#  File: qcom/apq8096/modem.mbn
+#  Version: MPSS.TH.2.0.1-00481
+#  RawFile: qcom/apq8096/modemr.jsn
+# +File: qcom/kaanapali/adsp.mbn
+# +File: qcom/kaanapali/adsp_dtb.mbn
+# +Version: LPAIDSP.HT.1.2-00769-KAANAPALI-1
+# +RawFile: qcom/kaanapali/adspr.jsn
+# +RawFile: qcom/kaanapali/adsps.jsn
+# +RawFile: qcom/kaanapali/adspua.jsn
+# +RawFile: qcom/kaanapali/adspuo.jsn
+#  File: qcom/kaanapali/cdsp.mbn
+#  File: qcom/kaanapali/cdsp_dtb.mbn
+#  Version: CDSP.HT.3.2-00684-KAANAPALI-1
+# @@ -6729,6 +6747,10 @@
+#  cdsp.mbn has been converted from 21-cdsp_split/firmware/cdsp.* using
+#  https://github.com/andersson/pil-squasher
+#  
+# +File: qcom/kaanapali/soccp.mbn
+# +File: qcom/kaanapali/soccp_dtb.mbn
+# +Version: SOCCP.FW.2.1-00204-KAANAPALI_SOCCP_PACK-1
+# +RawFile: qcom/kaanapali/soccpr.jsn
+#  File: qcom/sa8775p/adsp.mbn
+#  Version: DSP.AT.1.0.1-00163-LEMANS-1
+#  RawFile: qcom/sa8775p/adspr.jsn
+# @@ -7683,10 +7705,8 @@
+#  Link: cirrus/cs35l41-dsp1-spk-prot-10433e00.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+#  Link: cirrus/cs35l41-dsp1-spk-prot-10431074.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+#  Link: cirrus/cs35l41-dsp1-spk-prot-10431054.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# -File: cirrus/cs35l41-dsp1-spk-prot-10431fb3-spkid0-l0.bin
+# -File: cirrus/cs35l41-dsp1-spk-prot-10431fb3-spkid0-r0.bin
+# -File: cirrus/cs35l41-dsp1-spk-prot-10431fb3-spkid1-l0.bin
+# -File: cirrus/cs35l41-dsp1-spk-prot-10431fb3-spkid1-r0.bin
+# +File: cirrus/cs35l41-dsp1-spk-prot-10431fb3-l0.bin
+# +File: cirrus/cs35l41-dsp1-spk-prot-10431fb3-r0.bin
+#  File: cirrus/cs35l41-dsp1-spk-prot-10431194-spkid0-l0.bin
+#  File: cirrus/cs35l41-dsp1-spk-prot-10431194-spkid0-r0.bin
+#  File: cirrus/cs35l41-dsp1-spk-prot-10431194-spkid1-l0.bin
+# @@ -7709,22 +7729,14 @@
+#  Link: cirrus/cs35l41-dsp1-spk-prot-10431054-spkid1-r0.bin -> cs35l41-dsp1-spk-prot-10431074-spkid1-r0.bin
+#  Link: cirrus/cs35l41-dsp1-spk-prot-10433d78.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+#  Link: cirrus/cs35l41-dsp1-spk-prot-10433d88.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+# -File: cirrus/cs35l41-dsp1-spk-prot-10433d78-spkid0-l0.bin
+# -File: cirrus/cs35l41-dsp1-spk-prot-10433d78-spkid0-r0.bin
+# -File: cirrus/cs35l41-dsp1-spk-prot-10433d78-spkid1-l0.bin
+# -File: cirrus/cs35l41-dsp1-spk-prot-10433d78-spkid1-r0.bin
+# -Link: cirrus/cs35l41-dsp1-spk-prot-10433d78-spkid0-l0.bincfg -> cs35l41/bincfgs/cs35l41-dsp1-14_5dB.bincfg
+# -Link: cirrus/cs35l41-dsp1-spk-prot-10433d78-spkid0-r0.bincfg -> cs35l41/bincfgs/cs35l41-dsp1-14_5dB.bincfg
+# -Link: cirrus/cs35l41-dsp1-spk-prot-10433d78-spkid1-l0.bincfg -> cs35l41/bincfgs/cs35l41-dsp1-14_5dB.bincfg
+# -Link: cirrus/cs35l41-dsp1-spk-prot-10433d78-spkid1-r0.bincfg -> cs35l41/bincfgs/cs35l41-dsp1-14_5dB.bincfg
+# -Link: cirrus/cs35l41-dsp1-spk-prot-10433d88-spkid0-l0.bin -> cs35l41-dsp1-spk-prot-10433d78-spkid0-l0.bin
+# -Link: cirrus/cs35l41-dsp1-spk-prot-10433d88-spkid0-r0.bin -> cs35l41-dsp1-spk-prot-10433d78-spkid0-r0.bin
+# -Link: cirrus/cs35l41-dsp1-spk-prot-10433d88-spkid1-l0.bin -> cs35l41-dsp1-spk-prot-10433d78-spkid1-l0.bin
+# -Link: cirrus/cs35l41-dsp1-spk-prot-10433d88-spkid1-r0.bin -> cs35l41-dsp1-spk-prot-10433d78-spkid1-r0.bin
+# -Link: cirrus/cs35l41-dsp1-spk-prot-10433d88-spkid0-l0.bincfg -> cs35l41/bincfgs/cs35l41-dsp1-14_5dB.bincfg
+# -Link: cirrus/cs35l41-dsp1-spk-prot-10433d88-spkid0-r0.bincfg -> cs35l41/bincfgs/cs35l41-dsp1-14_5dB.bincfg
+# -Link: cirrus/cs35l41-dsp1-spk-prot-10433d88-spkid1-l0.bincfg -> cs35l41/bincfgs/cs35l41-dsp1-14_5dB.bincfg
+# -Link: cirrus/cs35l41-dsp1-spk-prot-10433d88-spkid1-r0.bincfg -> cs35l41/bincfgs/cs35l41-dsp1-14_5dB.bincfg
+# +File: cirrus/cs35l41-dsp1-spk-prot-10433d78-l0.bin
+# +File: cirrus/cs35l41-dsp1-spk-prot-10433d78-r0.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-10433d78-l0.bincfg -> cs35l41/bincfgs/cs35l41-dsp1-14_5dB.bincfg
+# +Link: cirrus/cs35l41-dsp1-spk-prot-10433d78-r0.bincfg -> cs35l41/bincfgs/cs35l41-dsp1-14_5dB.bincfg
+# +Link: cirrus/cs35l41-dsp1-spk-prot-10433d88-l0.bin -> cs35l41-dsp1-spk-prot-10433d78-l0.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-10433d88-r0.bin -> cs35l41-dsp1-spk-prot-10433d78-r0.bin
+# +Link: cirrus/cs35l41-dsp1-spk-prot-10433d88-l0.bincfg -> cs35l41/bincfgs/cs35l41-dsp1-14_5dB.bincfg
+# +Link: cirrus/cs35l41-dsp1-spk-prot-10433d88-r0.bincfg -> cs35l41/bincfgs/cs35l41-dsp1-14_5dB.bincfg
+#  Link: cirrus/cs35l41-dsp1-spk-prot-104388f4.wmfw -> cs35l41/v6.83.0/halo_cspl_RAM_revB2_29.85.0.wmfw
+#  File: cirrus/cs35l41-dsp1-spk-prot-104388f4-spkid0.bin
+#  File: cirrus/cs35l41-dsp1-spk-prot-104388f4-spkid1.bin
+# @@ -8556,165 +8568,215 @@
+#  
+#  --------------------------------------------------------------------------
+#  Driver: ti-tas2781 - tas2781 firmware
+# -File: ti/tas2781/TAS2XXX0C94.bin
+# -File: ti/tas2781/TAS2XXX0C95.bin
+# -File: ti/tas2781/TAS2XXX0C96.bin
+# -File: ti/tas2781/TAS2XXX0C97.bin
+# -File: ti/tas2781/TAS2XXX10A40.bin
+# -File: ti/tas2781/TAS2XXX10A41.bin
+# -File: ti/tas2781/TAS2XXX11540.bin
+# -File: ti/tas2781/TAS2XXX11541.bin
+# -File: ti/tas2781/TAS2XXX12040.bin
+# -File: ti/tas2781/TAS2XXX12041.bin
+# -File: ti/tas2781/TAS2XXX12140.bin
+# -File: ti/tas2781/TAS2XXX12141.bin
+# -File: ti/tas2781/TAS2XXX1EB30.bin
+# -File: ti/tas2781/TAS2XXX1EB31.bin
+# -File: ti/tas2781/TAS2XXX2234.bin
+# -File: ti/tas2781/TAS2XXX2326.bin
+# -File: ti/tas2781/TAS2XXX387D.bin
+# -File: ti/tas2781/TAS2XXX387E.bin
+# -File: ti/tas2781/TAS2XXX387F.bin
+# -File: ti/tas2781/TAS2XXX3880.bin
+# -File: ti/tas2781/TAS2XXX3881.bin
+# -File: ti/tas2781/TAS2XXX3882.bin
+# -File: ti/tas2781/TAS2XXX3884.bin
+# -File: ti/tas2781/TAS2XXX3886.bin
+# -File: ti/tas2781/TAS2XXX38A5.bin
+# -File: ti/tas2781/TAS2XXX38A7.bin
+# -File: ti/tas2781/TAS2XXX38A8.bin
+# -File: ti/tas2781/TAS2XXX38B8.bin
+# -File: ti/tas2781/TAS2XXX38B9.bin
+# -File: ti/tas2781/TAS2XXX38BA.bin
+# -File: ti/tas2781/TAS2XXX38BB.bin
+# -File: ti/tas2781/TAS2XXX38BE.bin
+# -File: ti/tas2781/TAS2XXX38BF.bin
+# -File: ti/tas2781/TAS2XXX38C3.bin
+# -File: ti/tas2781/TAS2XXX38CB.bin
+# -File: ti/tas2781/TAS2XXX38CD.bin
+# -File: ti/tas2781/TAS2XXX38D3.bin
+# -File: ti/tas2781/TAS2XXX38D4.bin
+# -File: ti/tas2781/TAS2XXX38D5.bin
+# -File: ti/tas2781/TAS2XXX38D6.bin
+# -File: ti/tas2781/TAS2XXX38DF.bin
+# -File: ti/tas2781/TAS2XXX38E0.bin
+# -File: ti/tas2781/TAS2XXX38FD.bin
+# -File: ti/tas2781/TAS2XXX391F.bin
+# -File: ti/tas2781/TAS2XXX3920.bin
+# -File: ti/tas2781/TAS2XXX3E300.bin
+# -File: ti/tas2781/TAS2XXX3E301.bin
+# -File: ti/tas2781/TAS2XXX3EE00.bin
+# -File: ti/tas2781/TAS2XXX3EE01.bin
+# -File: ti/tas2781/TAS2XXX3EF00.bin
+# -File: ti/tas2781/TAS2XXX3EF01.bin
+# -File: ti/tas2781/TAS2XXX3F000.bin
+# -File: ti/tas2781/TAS2XXX3F001.bin
+# -File: ti/tas2781/TAS2XXX3F100.bin
+# -File: ti/tas2781/TAS2XXX3F101.bin
+# -File: ti/tas2781/TAS2XXX3F200.bin
+# -File: ti/tas2781/TAS2XXX3F201.bin
+# -File: ti/tas2781/TAS2XXX3F300.bin
+# -File: ti/tas2781/TAS2XXX3F301.bin
+# -File: ti/tas2781/TAS2XXX8DE8.bin
+# -File: ti/tas2781/TAS2XXX8DE9.bin
+# -File: ti/tas2781/TXNW2781RCA0.bin
+# -File: ti/tas2781/TXNW2781RCA1.bin
+# -File: ti/tas2781/TIAS2781RCA2.bin
+# -File: ti/tas2781/TIAS2781RCA4.bin
+# -Link: TAS2XXX0C94.bin -> ti/tas2781/TAS2XXX0C94.bin
+# -Link: TAS2XXX0C95.bin -> ti/tas2781/TAS2XXX0C95.bin
+# -Link: TAS2XXX0C96.bin -> ti/tas2781/TAS2XXX0C96.bin
+# -Link: TAS2XXX0C97.bin -> ti/tas2781/TAS2XXX0C97.bin
+# -Link: TAS2XXX103C8DE80.bin -> ti/tas2781/TAS2XXX8DE8.bin
+# -Link: TAS2XXX103C8DE81.bin -> ti/tas2781/TAS2XXX8DE8.bin
+# -Link: TAS2XXX103C8DE90.bin -> ti/tas2781/TAS2XXX8DE9.bin
+# -Link: TAS2XXX103C8DE91.bin -> ti/tas2781/TAS2XXX8DE9.bin
+# -Link: TAS2XXX103C8DE8-0.bin -> ti/tas2781/TAS2XXX8DE8.bin
+# -Link: TAS2XXX103C8DE8-1.bin -> ti/tas2781/TAS2XXX8DE8.bin
+# -Link: TAS2XXX103C8DE9-0.bin -> ti/tas2781/TAS2XXX8DE9.bin
+# -Link: TAS2XXX103C8DE9-1.bin -> ti/tas2781/TAS2XXX8DE9.bin
+# -Link: TAS2XXX10A40.bin -> ti/tas2781/TAS2XXX10A40.bin
+# -Link: TAS2XXX10A41.bin -> ti/tas2781/TAS2XXX10A41.bin
+# -Link: TAS2XXX11540.bin -> ti/tas2781/TAS2XXX11540.bin
+# -Link: TAS2XXX11541.bin -> ti/tas2781/TAS2XXX11541.bin
+# -Link: TAS2XXX12040.bin -> ti/tas2781/TAS2XXX12040.bin
+# -Link: TAS2XXX12041.bin -> ti/tas2781/TAS2XXX12041.bin
+# -Link: TAS2XXX12140.bin -> ti/tas2781/TAS2XXX12140.bin
+# -Link: TAS2XXX12141.bin -> ti/tas2781/TAS2XXX12141.bin
+# -Link: TAS2XXX1EB3.bin -> ti/tas2781/TAS2XXX1EB30.bin
+# -Link: TAS2XXX1EB30.bin -> ti/tas2781/TAS2XXX1EB30.bin
+# -Link: TAS2XXX1EB31.bin -> ti/tas2781/TAS2XXX1EB31.bin
+# -Link: TAS2XXX2234.bin -> ti/tas2781/TAS2XXX2234.bin
+# -Link: TAS2XXX2326.bin -> ti/tas2781/TAS2XXX2326.bin
+# -Link: TAS2XXX387D.bin -> ti/tas2781/TAS2XXX387D.bin
+# -Link: TAS2XXX387E.bin -> ti/tas2781/TAS2XXX387E.bin
+# -Link: TAS2XXX387F.bin -> ti/tas2781/TAS2XXX387F.bin
+# -Link: TAS2XXX3880.bin -> ti/tas2781/TAS2XXX3880.bin
+# -Link: TAS2XXX3881.bin -> ti/tas2781/TAS2XXX3881.bin
+# -Link: TAS2XXX3882.bin -> ti/tas2781/TAS2XXX3882.bin
+# -Link: TAS2XXX3884.bin -> ti/tas2781/TAS2XXX3884.bin
+# -Link: TAS2XXX3886.bin -> ti/tas2781/TAS2XXX3886.bin
+# -Link: TAS2XXX38A5.bin -> ti/tas2781/TAS2XXX38A5.bin
+# -Link: TAS2XXX38A7.bin -> ti/tas2781/TAS2XXX38A7.bin
+# -Link: TAS2XXX38A8.bin -> ti/tas2781/TAS2XXX38A8.bin
+# -Link: TAS2XXX38B8.bin -> ti/tas2781/TAS2XXX38B8.bin
+# -Link: TAS2XXX38B9.bin -> ti/tas2781/TAS2XXX38B9.bin
+# -Link: TAS2XXX38BA.bin -> ti/tas2781/TAS2XXX38BA.bin
+# -Link: TAS2XXX38BB.bin -> ti/tas2781/TAS2XXX38BB.bin
+# -Link: TAS2XXX38BE.bin -> ti/tas2781/TAS2XXX38BE.bin
+# -Link: TAS2XXX38BF.bin -> ti/tas2781/TAS2XXX38BF.bin
+# -Link: TAS2XXX38C3.bin -> ti/tas2781/TAS2XXX38C3.bin
+# -Link: TAS2XXX38CB.bin -> ti/tas2781/TAS2XXX38CB.bin
+# -Link: TAS2XXX38CD.bin -> ti/tas2781/TAS2XXX38CD.bin
+# -Link: TAS2XXX38D3.bin -> ti/tas2781/TAS2XXX38D3.bin
+# -Link: TAS2XXX38D4.bin -> ti/tas2781/TAS2XXX38D4.bin
+# -Link: TAS2XXX38D5.bin -> ti/tas2781/TAS2XXX38D5.bin
+# -Link: TAS2XXX38D6.bin -> ti/tas2781/TAS2XXX38D6.bin
+# -Link: TAS2XXX38DF.bin -> ti/tas2781/TAS2XXX38DF.bin
+# -Link: TAS2XXX38E0.bin -> ti/tas2781/TAS2XXX38E0.bin
+# -Link: TAS2XXX38FD.bin -> ti/tas2781/TAS2XXX38FD.bin
+# -Link: TAS2XXX391F.bin -> ti/tas2781/TAS2XXX391F.bin
+# -Link: TAS2XXX3920.bin -> ti/tas2781/TAS2XXX3920.bin
+# -Link: TAS2XXX3E300.bin -> ti/tas2781/TAS2XXX3E300.bin
+# -Link: TAS2XXX3E301.bin -> ti/tas2781/TAS2XXX3E301.bin
+# -Link: TAS2XXX3EE00.bin -> ti/tas2781/TAS2XXX3EE00.bin
+# -Link: TAS2XXX3EE01.bin -> ti/tas2781/TAS2XXX3EE01.bin
+# -Link: TAS2XXX3EF00.bin -> ti/tas2781/TAS2XXX3EF00.bin
+# -Link: TAS2XXX3EF01.bin -> ti/tas2781/TAS2XXX3EF01.bin
+# -Link: TAS2XXX3F000.bin -> ti/tas2781/TAS2XXX3F000.bin
+# -Link: TAS2XXX3F001.bin -> ti/tas2781/TAS2XXX3F001.bin
+# -Link: TAS2XXX3F100.bin -> ti/tas2781/TAS2XXX3F100.bin
+# -Link: TAS2XXX3F101.bin -> ti/tas2781/TAS2XXX3F101.bin
+# -Link: TAS2XXX3F200.bin -> ti/tas2781/TAS2XXX3F200.bin
+# -Link: TAS2XXX3F201.bin -> ti/tas2781/TAS2XXX3F201.bin
+# -Link: TAS2XXX3F300.bin -> ti/tas2781/TAS2XXX3F300.bin
+# -Link: TAS2XXX3F301.bin -> ti/tas2781/TAS2XXX3F301.bin
+# -Link: TAS2XXX8DE8.bin -> ti/tas2781/TAS2XXX8DE8.bin
+# -Link: TAS2XXX8DE9.bin -> ti/tas2781/TAS2XXX8DE9.bin
+# -Link: TAS2XXX8DE80.bin -> ti/tas2781/TAS2XXX8DE8.bin
+# -Link: TAS2XXX8DE81.bin -> ti/tas2781/TAS2XXX8DE8.bin
+# -Link: TAS2XXX8DE90.bin -> ti/tas2781/TAS2XXX8DE9.bin
+# -Link: TAS2XXX8DE91.bin -> ti/tas2781/TAS2XXX8DE9.bin
+# -Link: TIAS2781RCA2.bin -> ti/tas2781/TIAS2781RCA2.bin
+# -Link: TIAS2781RCA4.bin -> ti/tas2781/TIAS2781RCA4.bin
+# -Link: TXNW2781RCA1.bin -> ti/tas2781/TXNW2781RCA0.bin
+# -Link: TXNW2781RCA0.bin -> ti/tas2781/TXNW2781RCA1.bin
+# -Link: TXNW2781RCA2.bin -> ti/tas2781/TIAS2781RCA2.bin
+# -Link: TXNW2781RCA4.bin -> ti/tas2781/TIAS2781RCA4.bin
+# +File: ti/audio/tas2781/TAS2XXX0C94.bin
+# +File: ti/audio/tas2781/TAS2XXX0C95.bin
+# +File: ti/audio/tas2781/TAS2XXX0C96.bin
+# +File: ti/audio/tas2781/TAS2XXX0C97.bin
+# +File: ti/audio/tas2781/TAS2XXX10A40.bin
+# +File: ti/audio/tas2781/TAS2XXX10A41.bin
+# +File: ti/audio/tas2781/TAS2XXX11540.bin
+# +File: ti/audio/tas2781/TAS2XXX11541.bin
+# +File: ti/audio/tas2781/TAS2XXX12040.bin
+# +File: ti/audio/tas2781/TAS2XXX12041.bin
+# +File: ti/audio/tas2781/TAS2XXX12140.bin
+# +File: ti/audio/tas2781/TAS2XXX12141.bin
+# +File: ti/audio/tas2781/TAS2XXX13840.bin
+# +File: ti/audio/tas2781/TAS2XXX13841.bin
+# +File: ti/audio/tas2781/TAS2XXX13940.bin
+# +File: ti/audio/tas2781/TAS2XXX13941.bin
+# +File: ti/audio/tas2781/TAS2XXX13A40.bin
+# +File: ti/audio/tas2781/TAS2XXX13A41.bin
+# +File: ti/audio/tas2781/TAS2XXX1EB30.bin
+# +File: ti/audio/tas2781/TAS2XXX1EB31.bin
+# +File: ti/audio/tas2781/TAS2XXX2234.bin
+# +File: ti/audio/tas2781/TAS2XXX2326.bin
+# +File: ti/audio/tas2781/TAS2XXX387D.bin
+# +File: ti/audio/tas2781/TAS2XXX387E.bin
+# +File: ti/audio/tas2781/TAS2XXX387F.bin
+# +File: ti/audio/tas2781/TAS2XXX3880.bin
+# +File: ti/audio/tas2781/TAS2XXX3881.bin
+# +File: ti/audio/tas2781/TAS2XXX3882.bin
+# +File: ti/audio/tas2781/TAS2XXX3884.bin
+# +File: ti/audio/tas2781/TAS2XXX3886.bin
+# +File: ti/audio/tas2781/TAS2XXX38A5.bin
+# +File: ti/audio/tas2781/TAS2XXX38A7.bin
+# +File: ti/audio/tas2781/TAS2XXX38A8.bin
+# +File: ti/audio/tas2781/TAS2XXX38B8.bin
+# +File: ti/audio/tas2781/TAS2XXX38B9.bin
+# +File: ti/audio/tas2781/TAS2XXX38BA.bin
+# +File: ti/audio/tas2781/TAS2XXX38BB.bin
+# +File: ti/audio/tas2781/TAS2XXX38BE.bin
+# +File: ti/audio/tas2781/TAS2XXX38BF.bin
+# +File: ti/audio/tas2781/TAS2XXX38C3.bin
+# +File: ti/audio/tas2781/TAS2XXX38CB.bin
+# +File: ti/audio/tas2781/TAS2XXX38CD.bin
+# +File: ti/audio/tas2781/TAS2XXX38D3.bin
+# +File: ti/audio/tas2781/TAS2XXX38D4.bin
+# +File: ti/audio/tas2781/TAS2XXX38D5.bin
+# +File: ti/audio/tas2781/TAS2XXX38D6.bin
+# +File: ti/audio/tas2781/TAS2XXX38DF.bin
+# +File: ti/audio/tas2781/TAS2XXX38E0.bin
+# +File: ti/audio/tas2781/TAS2XXX38FD.bin
+# +File: ti/audio/tas2781/TAS2XXX391F.bin
+# +File: ti/audio/tas2781/TAS2XXX3920.bin
+# +File: ti/audio/tas2781/TAS2XXX3E300.bin
+# +File: ti/audio/tas2781/TAS2XXX3E301.bin
+# +File: ti/audio/tas2781/TAS2XXX3EE00.bin
+# +File: ti/audio/tas2781/TAS2XXX3EE01.bin
+# +File: ti/audio/tas2781/TAS2XXX3EF00.bin
+# +File: ti/audio/tas2781/TAS2XXX3EF01.bin
+# +File: ti/audio/tas2781/TAS2XXX3F000.bin
+# +File: ti/audio/tas2781/TAS2XXX3F001.bin
+# +File: ti/audio/tas2781/TAS2XXX3F100.bin
+# +File: ti/audio/tas2781/TAS2XXX3F101.bin
+# +File: ti/audio/tas2781/TAS2XXX3F200.bin
+# +File: ti/audio/tas2781/TAS2XXX3F201.bin
+# +File: ti/audio/tas2781/TAS2XXX3F300.bin
+# +File: ti/audio/tas2781/TAS2XXX3F301.bin
+# +File: ti/audio/tas2781/TAS2XXX8C70.bin
+# +File: ti/audio/tas2781/TAS2XXX8C71.bin
+# +File: ti/audio/tas2781/TAS2XXX8C72.bin
+# +File: ti/audio/tas2781/TAS2XXX8D8E.bin
+# +File: ti/audio/tas2781/TAS2XXX8DAA.bin
+# +File: ti/audio/tas2781/TAS2XXX8DE8.bin
+# +File: ti/audio/tas2781/TAS2XXX8DE9.bin
+# +File: ti/audio/tas2781/TAS2XXX8E17.bin
+# +File: ti/audio/tas2781/TAS2XXX8E19.bin
+# +File: ti/audio/tas2781/TAS2XXX8E1C.bin
+# +File: ti/audio/tas2781/TAS2XXX8E8A.bin
+# +File: ti/audio/tas2781/TAS2XXX8ED5.bin
+# +File: ti/audio/tas2781/TAS2XXX8ED6.bin
+# +File: ti/audio/tas2781/TAS2XXX8ED7.bin
+# +File: ti/audio/tas2781/TAS2XXX8ED8.bin
+# +File: ti/audio/tas2781/TAS2XXX8ED9.bin
+# +File: ti/audio/tas2781/TAS2XXX8EDA.bin
+# +File: ti/audio/tas2781/TAS2XXX8F40.bin
+# +File: ti/audio/tas2781/TAS2XXX8F41.bin
+# +File: ti/audio/tas2781/TAS2XXX8F42.bin
+# +File: ti/audio/tas2781/TAS2XXX8F62.bin
+# +File: ti/audio/tas2781/TXNW2781RCA0.bin
+# +File: ti/audio/tas2781/TXNW2781RCA1.bin
+# +File: ti/audio/tas2781/TIAS2781RCA2.bin
+# +File: ti/audio/tas2781/TIAS2781RCA4.bin
+# +Link: TAS2XXX0C94.bin -> ti/audio/tas2781/TAS2XXX0C94.bin
+# +Link: TAS2XXX0C95.bin -> ti/audio/tas2781/TAS2XXX0C95.bin
+# +Link: TAS2XXX0C96.bin -> ti/audio/tas2781/TAS2XXX0C96.bin
+# +Link: TAS2XXX0C97.bin -> ti/audio/tas2781/TAS2XXX0C97.bin
+# +Link: TAS2XXX103C8DE80.bin -> ti/audio/tas2781/TAS2XXX8DE8.bin
+# +Link: TAS2XXX103C8DE81.bin -> ti/audio/tas2781/TAS2XXX8DE8.bin
+# +Link: TAS2XXX103C8DE90.bin -> ti/audio/tas2781/TAS2XXX8DE9.bin
+# +Link: TAS2XXX103C8DE91.bin -> ti/audio/tas2781/TAS2XXX8DE9.bin
+# +Link: TAS2XXX103C8DE8-0.bin -> ti/audio/tas2781/TAS2XXX8DE8.bin
+# +Link: TAS2XXX103C8DE8-1.bin -> ti/audio/tas2781/TAS2XXX8DE8.bin
+# +Link: TAS2XXX103C8DE9-0.bin -> ti/audio/tas2781/TAS2XXX8DE9.bin
+# +Link: TAS2XXX103C8DE9-1.bin -> ti/audio/tas2781/TAS2XXX8DE9.bin
+# +Link: TAS2XXX10A40.bin -> ti/audio/tas2781/TAS2XXX10A40.bin
+# +Link: TAS2XXX10A41.bin -> ti/audio/tas2781/TAS2XXX10A41.bin
+# +Link: TAS2XXX11540.bin -> ti/audio/tas2781/TAS2XXX11540.bin
+# +Link: TAS2XXX11541.bin -> ti/audio/tas2781/TAS2XXX11541.bin
+# +Link: TAS2XXX12040.bin -> ti/audio/tas2781/TAS2XXX12040.bin
+# +Link: TAS2XXX12041.bin -> ti/audio/tas2781/TAS2XXX12041.bin
+# +Link: TAS2XXX12140.bin -> ti/audio/tas2781/TAS2XXX12140.bin
+# +Link: TAS2XXX12141.bin -> ti/audio/tas2781/TAS2XXX12141.bin
+# +Link: TAS2XXX13840.bin -> ti/audio/tas2781/TAS2XXX13840.bin
+# +Link: TAS2XXX13841.bin -> ti/audio/tas2781/TAS2XXX13841.bin
+# +Link: TAS2XXX13940.bin -> ti/audio/tas2781/TAS2XXX13940.bin
+# +Link: TAS2XXX13941.bin -> ti/audio/tas2781/TAS2XXX13941.bin
+# +Link: TAS2XXX13A40.bin -> ti/audio/tas2781/TAS2XXX13A40.bin
+# +Link: TAS2XXX13A41.bin -> ti/audio/tas2781/TAS2XXX13A41.bin
+# +Link: TAS2XXX1EB3.bin -> ti/audio/tas2781/TAS2XXX1EB30.bin
+# +Link: TAS2XXX1EB30.bin -> ti/audio/tas2781/TAS2XXX1EB30.bin
+# +Link: TAS2XXX1EB31.bin -> ti/audio/tas2781/TAS2XXX1EB31.bin
+# +Link: TAS2XXX2234.bin -> ti/audio/tas2781/TAS2XXX2234.bin
+# +Link: TAS2XXX2326.bin -> ti/audio/tas2781/TAS2XXX2326.bin
+# +Link: TAS2XXX387D.bin -> ti/audio/tas2781/TAS2XXX387D.bin
+# +Link: TAS2XXX387E.bin -> ti/audio/tas2781/TAS2XXX387E.bin
+# +Link: TAS2XXX387F.bin -> ti/audio/tas2781/TAS2XXX387F.bin
+# +Link: TAS2XXX3880.bin -> ti/audio/tas2781/TAS2XXX3880.bin
+# +Link: TAS2XXX3881.bin -> ti/audio/tas2781/TAS2XXX3881.bin
+# +Link: TAS2XXX3882.bin -> ti/audio/tas2781/TAS2XXX3882.bin
+# +Link: TAS2XXX3884.bin -> ti/audio/tas2781/TAS2XXX3884.bin
+# +Link: TAS2XXX3886.bin -> ti/audio/tas2781/TAS2XXX3886.bin
+# +Link: TAS2XXX38A5.bin -> ti/audio/tas2781/TAS2XXX38A5.bin
+# +Link: TAS2XXX38A7.bin -> ti/audio/tas2781/TAS2XXX38A7.bin
+# +Link: TAS2XXX38A8.bin -> ti/audio/tas2781/TAS2XXX38A8.bin
+# +Link: TAS2XXX38B8.bin -> ti/audio/tas2781/TAS2XXX38B8.bin
+# +Link: TAS2XXX38B9.bin -> ti/audio/tas2781/TAS2XXX38B9.bin
+# +Link: TAS2XXX38BA.bin -> ti/audio/tas2781/TAS2XXX38BA.bin
+# +Link: TAS2XXX38BB.bin -> ti/audio/tas2781/TAS2XXX38BB.bin
+# +Link: TAS2XXX38BE.bin -> ti/audio/tas2781/TAS2XXX38BE.bin
+# +Link: TAS2XXX38BF.bin -> ti/audio/tas2781/TAS2XXX38BF.bin
+# +Link: TAS2XXX38C3.bin -> ti/audio/tas2781/TAS2XXX38C3.bin
+# +Link: TAS2XXX38CB.bin -> ti/audio/tas2781/TAS2XXX38CB.bin
+# +Link: TAS2XXX38CD.bin -> ti/audio/tas2781/TAS2XXX38CD.bin
+# +Link: TAS2XXX38D3.bin -> ti/audio/tas2781/TAS2XXX38D3.bin
+# +Link: TAS2XXX38D4.bin -> ti/audio/tas2781/TAS2XXX38D4.bin
+# +Link: TAS2XXX38D5.bin -> ti/audio/tas2781/TAS2XXX38D5.bin
+# +Link: TAS2XXX38D6.bin -> ti/audio/tas2781/TAS2XXX38D6.bin
+# +Link: TAS2XXX38DF.bin -> ti/audio/tas2781/TAS2XXX38DF.bin
+# +Link: TAS2XXX38E0.bin -> ti/audio/tas2781/TAS2XXX38E0.bin
+# +Link: TAS2XXX38FD.bin -> ti/audio/tas2781/TAS2XXX38FD.bin
+# +Link: TAS2XXX391F.bin -> ti/audio/tas2781/TAS2XXX391F.bin
+# +Link: TAS2XXX3920.bin -> ti/audio/tas2781/TAS2XXX3920.bin
+# +Link: TAS2XXX3E300.bin -> ti/audio/tas2781/TAS2XXX3E300.bin
+# +Link: TAS2XXX3E301.bin -> ti/audio/tas2781/TAS2XXX3E301.bin
+# +Link: TAS2XXX3EE00.bin -> ti/audio/tas2781/TAS2XXX3EE00.bin
+# +Link: TAS2XXX3EE01.bin -> ti/audio/tas2781/TAS2XXX3EE01.bin
+# +Link: TAS2XXX3EF00.bin -> ti/audio/tas2781/TAS2XXX3EF00.bin
+# +Link: TAS2XXX3EF01.bin -> ti/audio/tas2781/TAS2XXX3EF01.bin
+# +Link: TAS2XXX3F000.bin -> ti/audio/tas2781/TAS2XXX3F000.bin
+# +Link: TAS2XXX3F001.bin -> ti/audio/tas2781/TAS2XXX3F001.bin
+# +Link: TAS2XXX3F100.bin -> ti/audio/tas2781/TAS2XXX3F100.bin
+# +Link: TAS2XXX3F101.bin -> ti/audio/tas2781/TAS2XXX3F101.bin
+# +Link: TAS2XXX3F200.bin -> ti/audio/tas2781/TAS2XXX3F200.bin
+# +Link: TAS2XXX3F201.bin -> ti/audio/tas2781/TAS2XXX3F201.bin
+# +Link: TAS2XXX3F300.bin -> ti/audio/tas2781/TAS2XXX3F300.bin
+# +Link: TAS2XXX3F301.bin -> ti/audio/tas2781/TAS2XXX3F301.bin
+# +Link: TAS2XXX8C70.bin -> ti/audio/tas2781/TAS2XXX8C70.bin
+# +Link: TAS2XXX8C71.bin -> ti/audio/tas2781/TAS2XXX8C71.bin
+# +Link: TAS2XXX8C72.bin -> ti/audio/tas2781/TAS2XXX8C72.bin
+# +Link: TAS2XXX8D8E.bin -> ti/audio/tas2781/TAS2XXX8D8E.bin
+# +Link: TAS2XXX8DAA.bin -> ti/audio/tas2781/TAS2XXX8DAA.bin
+# +Link: TAS2XXX8DE8.bin -> ti/audio/tas2781/TAS2XXX8DE8.bin
+# +Link: TAS2XXX8DE9.bin -> ti/audio/tas2781/TAS2XXX8DE9.bin
+# +Link: TAS2XXX8DE80.bin -> ti/audio/tas2781/TAS2XXX8DE8.bin
+# +Link: TAS2XXX8DE81.bin -> ti/audio/tas2781/TAS2XXX8DE8.bin
+# +Link: TAS2XXX8DE90.bin -> ti/audio/tas2781/TAS2XXX8DE9.bin
+# +Link: TAS2XXX8DE91.bin -> ti/audio/tas2781/TAS2XXX8DE9.bin
+# +Link: TAS2XXX8E17.bin -> ti/audio/tas2781/TAS2XXX8E17.bin
+# +Link: TAS2XXX8E19.bin -> ti/audio/tas2781/TAS2XXX8E19.bin
+# +Link: TAS2XXX8E1C.bin -> ti/audio/tas2781/TAS2XXX8E1C.bin
+# +Link: TAS2XXX8E8A.bin -> ti/audio/tas2781/TAS2XXX8E8A.bin
+# +Link: TAS2XXX8ED5.bin -> ti/audio/tas2781/TAS2XXX8ED5.bin
+# +Link: TAS2XXX8ED6.bin -> ti/audio/tas2781/TAS2XXX8ED6.bin
+# +Link: TAS2XXX8ED7.bin -> ti/audio/tas2781/TAS2XXX8ED7.bin
+# +Link: TAS2XXX8ED8.bin -> ti/audio/tas2781/TAS2XXX8ED8.bin
+# +Link: TAS2XXX8ED9.bin -> ti/audio/tas2781/TAS2XXX8ED9.bin
+# +Link: TAS2XXX8EDA.bin -> ti/audio/tas2781/TAS2XXX8EDA.bin
+# +Link: TAS2XXX8F40.bin -> ti/audio/tas2781/TAS2XXX8F40.bin
+# +Link: TAS2XXX8F41.bin -> ti/audio/tas2781/TAS2XXX8F41.bin
+# +Link: TAS2XXX8F42.bin -> ti/audio/tas2781/TAS2XXX8F42.bin
+# +Link: TAS2XXX8F62.bin -> ti/audio/tas2781/TAS2XXX8F62.bin
+# +Link: TIAS2781RCA2.bin -> ti/audio/tas2781/TIAS2781RCA2.bin
+# +Link: TIAS2781RCA4.bin -> ti/audio/tas2781/TIAS2781RCA4.bin
+# +Link: TXNW2781RCA1.bin -> ti/audio/tas2781/TXNW2781RCA0.bin
+# +Link: TXNW2781RCA0.bin -> ti/audio/tas2781/TXNW2781RCA1.bin
+# +Link: TXNW2781RCA2.bin -> ti/audio/tas2781/TIAS2781RCA2.bin
+# +Link: TXNW2781RCA4.bin -> ti/audio/tas2781/TIAS2781RCA4.bin
+#  
+#  Licence: Redistributable. See LICENCE.ti-tspa for details. Marked:
+# -	 Copyright (C) 2023 - 2024 Texas Instruments
+# +	 Copyright (C) 2023 - 2025 Texas Instruments
+#  
+#  --------------------------------------------------------------------------
+#  
+#  Driver: ti-tas2563 - tas2563 firmware
+# -File: ti/tas2563/TAS2XXX3870.bin
+# -File: ti/tas2563/INT8866RCA2.bin
+# -Link: TAS2XXX3870.bin -> ti/tas2563/TAS2XXX3870.bin
+# -Link: INT8866RCA2.bin -> ti/tas2563/INT8866RCA2.bin
+# +File: ti/audio/tas2563/TAS2XXX3870.bin
+# +File: ti/audio/tas2563/INT8866RCA2.bin
+# +Link: TAS2XXX3870.bin -> ti/audio/tas2563/TAS2XXX3870.bin
+# +Link: INT8866RCA2.bin -> ti/audio/tas2563/INT8866RCA2.bin
+#  
+#  Licence: Redistributable. LICENCE.ti-tspa for details. Marked:
+# -	 Copyright (C) 2023 - 2024 Texas Instruments
+# +	 Copyright (C) 2023 - 2025 Texas Instruments
+#  
+#  --------------------------------------------------------------------------
+#  
+# @@ -8776,8 +8838,8 @@
+#  
+#  License: Redistributable. See LICENCE.lenovo for details
+#  
+# -File: HP/ish/ish_lnlm_dba6b120_152c3222.bin
+# -Link: intel/ish/ish_lnlm_dba6b120_152c3222.bin -> ../../HP/ish/ish_lnlm_dba6b120_152c3222.bin
+# +File: HP/ish/ish_lnlm_12128606.bin
+# +Link: intel/ish/ish_lnlm_12128606.bin -> ../../HP/ish/ish_lnlm_12128606.bin
+#  Version: 5.8.200.7720_1029
+#  
+#  License: Redistributable. See LICENCE.HP for details
+# 
+#
+
 SUMMARY = "Firmware files for use with Linux kernel"
 HOMEPAGE = "https://www.kernel.org/"
 DESCRIPTION = "Linux firmware is a package distributed alongside the Linux kernel \
@@ -308,7 +948,7 @@ LIC_FILES_CHKSUM = "file://LICENCE.Abilis;md5=b5ee3f410780e56711ad48eadc22b8bc \
                     file://LICENCE.xc5000c;md5=12b02efa3049db65d524aeb418dd87ca \
                     file://LICENSE.xe;md5=c674d38774242bc0c528214721488118 \
                     file://wfx/LICENCE.wf200;md5=4d1beff00d902c05c9c7e95a5d8eb52d \
-                    file://WHENCE;md5=${WHENCE_CHKSUM} \
+                    file://WHENCE;md5=4a2863b38b43abbc3a09b24ece7d1196 \
                     "
 # WHENCE checksum is defined separately to ease overriding it if
 # class-devupstream is selected.
@@ -449,7 +1089,7 @@ SRC_URI:class-devupstream = "git://git.kernel.org/pub/scm/linux/kernel/git/firmw
 # Pin this to the 20220509 release, override this in local.conf
 SRCREV:class-devupstream ?= "b19cbdca78ab2adfd210c91be15a22568e8b8cae"
 
-SRC_URI[sha256sum] = "fa6130988ecd7968602938c77dd6f8d2dace4e03ba0da4c0e9624dfed657e6cf"
+SRC_URI[sha256sum] = "ab57a1526595090bb4874c35335e2252288dcbea546eff491654b2313438a47d"
 
 inherit allarch
 
-- 
2.47.1

